# Motivation

We want to make it easier for everyone to Cube.js, and we are adopting a
Developer's Certificate of Origin (DCO) for contributions. Unlike Contributor
License Agreements (CLA), we believe that the DCO is a lot more
developer-friendly as it doesn't require lengthy legal reviews.

The DCO indicates that contributors are responsible for the code that they
contribute and that they understand that the contribution is under the terms of
the [Cube.js project licenses][link-licenses].

[link-licenses]:
  https://github.com/cube-js/cube.js/blob/master/README.md#license

# Developer's Certificate of Origin

By contributing to Cube Dev, Inc., You accept and agree to the terms and
conditions in the [Developer Certificate of Origin][link-dco] below for Your
present and future Contributions submitted to Cube Dev, Inc. Your contribution
includes any submissions to the [Cube.js repository][link-cubejs-repo] when you
click on such buttons as `Propose changes` or `Create pull request`. Except for
the licenses granted herein, You reserve all right, title, and interest in and
to Your Contributions.

[link-dco]: https://developercertificate.org/
[link-cubejs-repo]: https://github.com/cube-js/cube.js

```
Developer Certificate of Origin
Version 1.1

Copyright (C) 2004, 2006 The Linux Foundation and its contributors.
1 Letterman Drive
Suite D4700
San Francisco, CA, 94129

Everyone is permitted to copy and distribute verbatim copies of this
license document, but changing it is not allowed.


Developer's Certificate of Origin 1.1

By making a contribution to this project, I certify that:

(a) The contribution was created in whole or in part by me and I
    have the right to submit it under the open source license
    indicated in the file; or

(b) The contribution is based upon previous work that, to the best
    of my knowledge, is covered under an appropriate open source
    license and I have the right under that license to submit that
    work with modifications, whether created in whole or in part
    by me, under the same open source license (unless I am
    permitted to submit under a different license), as indicated
    in the file; or

(c) The contribution was provided directly to me by some other
    person who certified (a), (b) or (c) and I have not modified
    it.

(d) I understand and agree that this project and the contribution
    are public and that a record of the contribution (including all
    personal information I submit with it, including my sign-off) is
    maintained indefinitely and may be redistributed consistent with
    this project or the open source license(s) involved.
```
